Subject: Re: [lojban] LALR1 question

From: Rob Speer <[email-masked]>
Date: Tue, 28 Aug 2001 02:40:50 -0400

On Mon, Aug 27, 2001 at 05:29:11PM -0600, Jay Kominek wrote:
> My conclusion: If you want the language to be syntactically unambiguous,
> LALR(1) is a fairly good choice. The most you'd want to do is switch to an
> LR(2) parser. If you need more than that, you're doing something wrong.

Actually, now I'm wondering - would changing the language to LR(2) actually
help? What if you change {le broda joi le brode} to {le broda ui joi le brode}
- would that not parse in LR(2), or does UI somehow not count in the
lookahead? Am I looking at this all wrong?
-- 
Rob Speer